FreeMat

- Main Page
- Related Pages

vtkCoincidentPoints

Section: Visualization Toolkit Graphics Classes

# Usage

This class provides a collection of points that is organized such that each coordinate is stored with a set of point id's of points that are all coincident.

To create an instance of class vtkCoincidentPoints, simply invoke its constructor as follows

      obj = vtkCoincidentPoints

# Methods

The class vtkCoincidentPoints has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCoincidentPoints class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCoincidentPoints = obj.NewInstance ()`
- `vtkCoincidentPoints = obj.SafeDownCast (vtkObject o)`
- `obj.AddPoint (vtkIdType Id, double point[3])` - Accumulates a set of Ids in a map where the point coordinate is the key. All Ids in a given map entry are thus coincident.
  Parameters:

    | Id | - a unique Id for the given point that will be stored in an vtkIdList.
    [in] | point | - the point coordinate that we will store in the map to test if any other points are coincident with it.

- `vtkIdList = obj.GetCoincidentPointIds (double point[3])` - Retrieve the list of point Ids that are coincident with the given point.
  Parameters:

    [in] | point | - the coordinate of coincident points we want to retrieve.

- `vtkIdList = obj.GetNextCoincidentPointIds ()` - Used to iterate the sets of coincident points within the map. InitTraversal must be called first or NULL will always be returned.
- `obj.InitTraversal ()`
- `obj.RemoveNonCoincidentPoints ()`
- `obj.Clear ()`